org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class CA

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.CA

-     public class CA
      extends Object

  Java class for CA complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CA">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="uris" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}CAURICollection"/>
               <element name="certificate" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="enrollPermission" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="cAReferenceID" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected int` | `caReferenceID`
    `protected byte[]` | `certificate`
    `protected boolean` | `enrollPermission`
    `protected CAURICollection` | `uris`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CA()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `int` | `getCAReferenceID()` Gets the value of the caReferenceID property.
    `byte[]` | `getCertificate()` Gets the value of the certificate property.
    `CAURICollection` | `getUris()` Gets the value of the uris property.
    `boolean` | `isEnrollPermission()` Gets the value of the enrollPermission property.
    `void` | `setCAReferenceID(int value)` Sets the value of the caReferenceID property.
    `void` | `setCertificate(byte[] value)` Sets the value of the certificate property.
    `void` | `setEnrollPermission(boolean value)` Sets the value of the enrollPermission property.
    `void` | `setUris(CAURICollection value)` Sets the value of the uris property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uris

          protected CAURICollection uris

    - #### certificate

          protected byte[] certificate

    - #### enrollPermission

          protected boolean enrollPermission

    - #### caReferenceID

          protected int caReferenceID

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### CA

          public CA()

  - ### Method Detail

    - #### getUris

          public CAURICollection getUris()

      Gets the value of the uris property.
      Returns:
        possible object is `CAURICollection`

    - #### setUris

          public void setUris(CAURICollection value)

      Sets the value of the uris property.
      Parameters:
        `value` - allowed object is `CAURICollection`

    - #### getCertificate

          public byte[] getCertificate()

      Gets the value of the certificate property.
      Returns:
        possible object is byte[]

    - #### setCertificate

          public void setCertificate(byte[] value)

      Sets the value of the certificate property.
      Parameters:
        `value` - allowed object is byte[]

    - #### isEnrollPermission

          public boolean isEnrollPermission()

      Gets the value of the enrollPermission property.

    - #### setEnrollPermission

          public void setEnrollPermission(boolean value)

      Sets the value of the enrollPermission property.

    - #### getCAReferenceID

          public int getCAReferenceID()

      Gets the value of the caReferenceID property.

    - #### setCAReferenceID

          public void setCAReferenceID(int value)

      Sets the value of the caReferenceID property.

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.